Subject: bug#9470: 24.0.50; Possible bidi-related slowness

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 10 Sep 2011 22:11:08 +0200

Eli Zaretskii <[email-masked]> writes:

> Then I don't see how can I fix this specific case.  The bidi display
> must know the paragraph direction in order to DTRT.  Ideas are
> welcome.  Doing something simple, like force left-to-right paragraph
> direction if paragraph start isn't found in N lines, doesn't sound
> right, as this will cause different display depending on how far we
> are from the text beginning.  Hmmm...

If the algorithm has looked at N lines (where N is a reasonably big
number, like 10K), and found nothing exciting, then it would be
reasonable to bail out, won't it?  "Paragraphs" like the one presented,
with 200K lines, are a pretty terminal case, and no "real" text ever
looks like that.  I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/